package com.fjhx.account.entity.account.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class AccountRunningWaterBo {

    /**
     * 金额
     */
    @ExcelProperty("交易金额")
    private BigDecimal amount;


    /**
     * 币种（字典account_currency）
     */
    @ExcelProperty("币种")
    private String currency;

    /**
     * 账户名
     */
    @ExcelProperty("账户名")
    private String name;


    /**
     * 开户银行
     */
    @ExcelProperty("对方银行")
    private String openingBank;

    /**
     * 开户账号
     */
    @ExcelProperty("对方账号")
    private String accountOpening;

    /**
     * 交易时间
     */
    @ExcelProperty("交易时间")
    private Date transactionTime;

    /**
     * 备注
     */
    @ExcelProperty("摘要")
    private String remarks;

    /**
     * 资金账户名称
     */
    @ExcelProperty("资金账户")
    private String accountManagementName;

}
