package com.fjhx.account.entity.account.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 请款表列表查询入参实体
 *
 * @author
 * @since 2023-04-10
 */
@Getter
@Setter
public class AccountRequestFundsSelectDto extends BaseSelectDto {
    /**
     * 请款类型（字典funds_type）
     */
    private String type;

    /**
     * 流程状态（10。审批中  20 驳回  30 审批通过）
     */
    private String status;

    /**
     * 打款状态（字典payment_status）
     */
    private String paymentStatus;

    /**
     * 模糊查询时使用
     */
    private String keyword;


}
