package com.fjhx.account.entity.account.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 *
 * </p>
 *
 * @author
 * @since 2023-04-10
 */
@Getter
@Setter
@TableName("account_request_funds_detail")
public class AccountRequestFundsDetail extends BasePo {
    /**
     * 请款表ID
     */
    private Long accountRequestFundsId;

    /**
     * 费用类型（字典funds_cost_type）
     */
    private String costType;

    /**
     * 请款金额
     */
    private BigDecimal amount;

    /**
     * 款项说明
     */
    private String remarks;

    /**
     * 合同ID
     */
    private Long contractId;

}
