package com.fjhx.purchase.controller.purchase;

import com.fjhx.purchase.entity.purchase.dto.PurchaseRefundRecordDto;
import com.fjhx.purchase.service.purchase.PurchaseRefundRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 采购退款记录 维多利亚 前端控制器
 * </p>
 *
 * @author
 * @since 2023-06-28
 */
@RestController
@RequestMapping("/purchaseRefundRecord")
public class PurchaseRefundRecordController {

    @Autowired
    private PurchaseRefundRecordService purchaseRefundRecordService;

    /**
     * 采购退款记录 维多利亚新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PurchaseRefundRecordDto purchaseRefundRecordDto) {
        purchaseRefundRecordService.add(purchaseRefundRecordDto);
    }

}
