package com.fjhx.purchase.entity.subscribe;

import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 申购明细Excel导入实体
 */
@Getter
@Setter
public class SubscribeDetailExcelBo extends BasePo {

    /**
     * 关联ID  产品ID/货品ID
     */
    private Long bussinessId;

    /**
     * 申购数量
     */
    @ExcelProperty("申购数量")
    private BigDecimal count;

    /**
     * 备注
     */
    @ExcelProperty("备注")
    private String remark;

    /**
     * 货品定义
     */
    private Integer productDefinition;

    /**
     * 货品编码
     */
    @ExcelProperty("物品编码")
    private String productCustomCode;

    /**
     * 货品名称
     */
    private String productName;

    /**
     * 货品规格型号
     */
    private String productSpec;

    /**
     * 单位
     */
    private String productUnit;
}
