package com.fjhx.wms.entity.arrival.vo;

import com.fjhx.wms.entity.arrival.po.ArrivalStockRecordsDetails;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 采购到货记录明细 维多利亚列表查询返回值实体
 *
 * @author 
 * @since 2023-04-26
 */
@Getter
@Setter
public class ArrivalStockRecordsDetailsVo extends ArrivalStockRecordsDetails {

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 产品名称
     */
    private String productName;


    /**
     * 产品类型
     */
    private String productType;

    /**
     * 规格型号
     */
    private String productSpec;

    /**
     * 单位
     */
    private String productUnit;

    /**
     * 产品定义
     */
    private Integer productDefinition;

    /**
     * 产品自定义编码
     */
    private String productCustomCode;

    /**
     * 已质检数量
     */
    BigDecimal totalQuantity;
    /**
     * 质检合格数量
     */
    BigDecimal qualifiedQuantity;
    /**
     * 质检不合格数量
     */
    BigDecimal disqualificationQuantity;


}
