package com.fjhx.account.entity.account.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fjhx.account.entity.account.po.AccountManagement;
import com.fjhx.account.entity.account.po.AccountRemainder;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 账户-管理表新增编辑入参实体
 *
 * @author
 * @since 2023-04-06
 */
@Getter
@Setter
public class AccountManagementDto extends AccountManagement {
    @TableField(exist = false)
    private List<AccountRemainder> accountRemainderList;

    private String tenantId;
}
