package com.fjhx.account.mapper.account;

import com.fjhx.account.entity.account.po.AccountRequestFundsDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountRequestFundsDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-10
 */
public interface AccountRequestFundsDetailMapper extends BaseMapper<AccountRequestFundsDetail> {

    /**
     * 分页
     */
    Page<AccountRequestFundsDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AccountRequestFundsDetail> wrapper);

    /**
     * 获取列表根据合同ID
     * @param contractId
     * @return
     */
    List<AccountRequestFundsDetailVo> getListByContractId(Long contractId);
}
