package com.fjhx.mail.service.my;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.my.dto.MyFolderMessageDto;
import com.fjhx.mail.entity.my.dto.MyFolderMessageSelectDto;
import com.fjhx.mail.entity.my.po.MyFolderMessage;
import com.fjhx.mail.entity.my.vo.MessageVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 我的文件夹关联邮件 服务类
 * </p>
 *
 * @author
 * @since 2023-05-29
 */
public interface MyFolderMessageService extends BaseService<MyFolderMessage> {

    /**
     * 我的文件夹关联邮件分页
     */
    Page<MessageVo> getPage(MyFolderMessageSelectDto dto);

    /**
     * 我的文件夹关联邮件添加
     */
    void add(MyFolderMessageDto dto);


    /**
     * 我的文件夹关联邮件删除
     */
    void delete(Long id);


}
