package com.fjhx.purchase.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 采购退款记录 维多利亚
 * </p>
 *
 * @author
 * @since 2023-06-28
 */
@Getter
@Setter
@TableName("purchase_refund_record")
public class PurchaseRefundRecord extends BasePo {

    /**
     * 采购id
     */
    private Long purchaseId;

    /**
     * 退款时间
     */
    private Date refundDate;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 备注
     */
    private String remark;

    /**
     * 退款人id
     */
    private String refundAccount;

}
