package com.fjhx.purchase.entity.purchase.vo;

import com.fjhx.purchase.entity.purchase.po.Purchase;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 采购列表查询返回值实体
 *
 * @author
 * @since 2023-04-06
 */
@Getter
@Setter
public class PurchaseVo extends Purchase {

    private String supplyName;

    /**
     * 到货状态
     */
    private Integer arrivalStatus;

    /**
     * 采购明细列表
     */
    private List<PurchaseDetailVo> purchaseDetailVoList;

    /**
     * 申购编号
     */
    private String subscribeCode;

    /**
     * 已付款金额
     */
    private BigDecimal paidAmount;

    /**
     * 退款金额
     */
    private BigDecimal refundAmount;

    /**
     * 是否在途
     */
    private Integer isTransit;

}
