package com.fjhx.purchase.mapper.subscribe;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.subscribe.po.Subscribe;
import com.fjhx.purchase.entity.subscribe.vo.SubscribeVo;
import com.fjhx.wms.entity.SubscribeDetailPo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 申购单 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-03
 */
public interface SubscribeMapper extends BaseMapper<Subscribe> {

    /**
     * 申购单分页
     */
    Page<SubscribeVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Subscribe> wrapper);

    /**
     * 获取已采购数量
     */
    List<SubscribeDetailPo> getSubscribeCountList(@Param("ew") IWrapper<Object> wrapper);

}
