package com.fjhx.purchase.service.purchase.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.purchase.entity.purchase.dto.PurchaseRefundRecordDto;
import com.fjhx.purchase.entity.purchase.po.PurchaseRefundRecord;
import com.fjhx.purchase.mapper.purchase.PurchaseRefundRecordMapper;
import com.fjhx.purchase.service.purchase.PurchaseRefundRecordService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 采购退款记录 维多利亚 服务实现类
 * </p>
 *
 * @author
 * @since 2023-06-28
 */
@Service
public class PurchaseRefundRecordServiceImpl extends ServiceImpl<PurchaseRefundRecordMapper, PurchaseRefundRecord> implements PurchaseRefundRecordService {

    @Override
    public void add(PurchaseRefundRecordDto purchaseRefundRecordDto) {
        this.save(purchaseRefundRecordDto);
    }

}
