package com.fjhx.victoriatourist.entity.purchase.vo;

import com.fjhx.victoriatourist.entity.purchase.po.PurchaseBackDetails;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 采购退货明细列表查询返回值实体
 *
 * @author
 * @since 2023-05-19
 */
@Getter
@Setter
public class PurchaseBackDetailsVo extends PurchaseBackDetails {

    /**
     * 已经退货数量
     */
    private BigDecimal returnedQuantity;

}
