package com.fjhx.victoriatourist.entity.quality.vo;

import com.fjhx.victoriatourist.entity.quality.po.QualityDetails;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 质检明细列表查询返回值实体
 *
 * @author 
 * @since 2023-04-26
 */
@Getter
@Setter
public class QualityDetailsVo extends QualityDetails {

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 产品名称
     */
    private String productName;


    /**
     * 产品类型
     */
    private String productType;

    /**
     * 规格型号
     */
    private String productSpec;

    /**
     * 单位
     */
    private String productUnit;

    /**
     * 产品定义
     */
    private Integer productDefinition;

    /**
     * 产品自定义编码
     */
    private String productCustomCode;

    /**
     * 到货数量
     */
    private BigDecimal arrivalQuantity;
    /**
     * 质检数量
     */
    private BigDecimal qualityQuantity;

}
