package com.fjhx.wms.entity.stock.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 出入库记录
 * </p>
 *
 * @author
 * @since 2023-03-20
 */
@Getter
@Setter
@TableName("stock_journal")
public class StockJournal extends BasePo {

    /**
     * 操作类型 1手动入库
     */
    private String code;

    /**
     * 业务类型 1手动入库
     */
    private Integer type;

    /**
     * 操作类型
     */
    private Integer opType;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 关联单号
     */
    private String linkCode;

}
