package com.fjhx.wms.entity.stock.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 待出入库
 * </p>
 *
 * @author
 * @since 2023-03-22
 */
@Getter
@Setter
@TableName("stock_wait")
public class StockWait extends BasePo {

    /**
     * 类型 1入库 2出库
     */
    private Integer type;

    /**
     * 业务类型
     */
    private Integer businessType;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 业务编码
     */
    private String businessCode;

    /**
     * 入库状态 0待入库 1部分入库 2入库完成
     */
    private Integer status;

    /**
     * 维多利亚扩展
     */
    private String victoriatouristJson;

}
