package com.fjhx.wms.entity.stock.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class InStockWaitExportExcel {

    @ColumnWidth(20)
    @ExcelProperty("来源")
    private String businessType;

    @ColumnWidth(20)
    @ExcelProperty("单号")
    private String businessCode;

    @ColumnWidth(20)
    @ExcelProperty("物流/快递公司")
    private String logisticsCompanyName;

    @ColumnWidth(20)
    @ExcelProperty("物流/快递单号")
    private String code;
    @ColumnWidth(20)
    @ExcelProperty("仓库名称")
    private String warehouseName;
    @ColumnWidth(20)
    @ExcelProperty("物品编码")
    private String productCode;
    @ColumnWidth(20)
    @ExcelProperty("物品名称")
    private String productName;
    @ColumnWidth(15)
    @ExcelProperty("本次发货")
    private String deliverGoodsQuantity;
    @ColumnWidth(15)
    @ExcelProperty("已入库")
    private String receiptQuantity;
    @ColumnWidth(15)
    @ExcelProperty("待入库")
    private String waitQuantity;

}
