package com.fjhx.wms.entity.warehouse.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 仓库
 * </p>
 *
 * @author 
 * @since 2023-03-20
 */
@Getter
@Setter
@TableName("warehouse")
public class Warehouse extends BasePo {

    /**
     * 仓库名称
     */
    private String name;

    /**
     * 仓库类型
     */
    private String type;

    /**
     * 备注
     */
    private String remark;

    /**
     * 仓管员id 多个可逗号分隔
     */
    private String keeperId;

}
